#ifndef SOUNDCONTROL_CLASS_H
#define SOUNDCONTROL_CLASS_H

#include "data_tank.h"

class SoundControl {

 public:
  static SoundControl* getInstance();
  static void deleteInstance();
  void setNumberOfChannels(int number_of channels);
  int playMod(char* filename);
  int playWav(char* filename);
  int playOgg(char* filename);
  void volumeUp();
  void volumeDown();
  void trackRewind();
  void forwardMusic();
  void rewindMusic();
  void pauseMusic();
  void resumeMusic();
  void trackSelect();

protected:
  void initialise();
  SoundControl();
  ~SoundControl();

private:
  static SoundControl* instance;

}

#endif
